---
title: echo
layout: command
version: 0.59.0
---

Echo the arguments back to the user.

## Signature

```> echo ...rest```

## Parameters

 -  `...rest`: the values to echo

## Examples

Put a hello message in the pipeline
```shell
> echo 'hello'
```

Print the value of the special '$nu' variable
```shell
> echo $nu
```

